Subject: [bug#34388] [PATCH] gnu: openmpi: Upgrade to 4.0.0.

From: Eric Bavier <[email-masked]>
Date: Fri, 8 Feb 2019 22:31:21 -0600

On Fri, 08 Feb 2019 19:31:49 +0100
Ricardo Wurmus <[email-masked]> wrote:

> Hi Eric,
> 
> [email-masked] writes:
> 
> > From: Eric Bavier <[email-masked]>
> >
> > * gnu/packages/linux.scm (psm)[arguments]: Add 'patch-sysmacros phase to fix
> > "undefined reference to `minor'" errors while linking against
> > libinfinipath.so.
> > * gnu/packages/mpi.scm (openmpi): Upgrade to 4.0.0.
> > [inputs]: Add libevent.
> > [arguments]: Simplify configure-flags.  Use system libevent.  Adjust romio
> > version strings.
> > (%openmpi-setup): Use OMPI_MCA_rmaps_base_mapping_policy for oversubscription.  
> 
> Thank you, this looks good to me!

Thanks for reviewing and providing the nice starting patch.

> 
> (After this has been pushed to the “master” branch I would like to add
> support for Infiniband with a few minor changes.)

Great, I thought I'd leave that to you.

`~Eric